Crash on Ubuntu 12.04 when clicking to open a building window

Bug #1205149 reported by ron hering on 2013-07-26
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
widelands
Medium
Unassigned

Bug Description

On Ubuntu 12.04, clicking on a building will crash the game. Not tested thoroughly, but doesn't seem to affect 13.04 at least. Could this be related to older libraries or various workarounds we specify when building?

Related branches

Jens Beyer (qcumber-some) wrote :

Version detect broken is already covered in Bug #1204756 so I guess we will leave that part out of this bug discussion :-)

About the crash: Can you dump a backtrace via gdb from this crash?

SirVer (sirver) on 2013-07-26
Changed in widelands:
status: New → Incomplete

On 07/25/2013 11:17 PM, Jens Beyer (Qcumber-some) wrote:
> Version detect broken is already covered in Bug #1204756 so I guess we
> will leave that part out of this bug discussion :-)
>
> About the crash: Can you dump a backtrace via gdb from this crash?
>
Dont know how to start the widelands-dbg app.

Open a console/terminal

type "gdb widelands" <Enter>

Wait until you get a (gdb) prompt

type "r" <enter>

Widelands starts

provoke the crash

in gdb, you see a message and a (gdb) prompt

type "bt" <enter>

Copy everything after the crash message including the bt output and paste it here :-)

Jens Beyer (qcumber-some) wrote :

ah yes, and please make sure you installed the debug executable from the ppa (widelands-debug or something like that)

Download full text (10.5 KiB)

On 07/26/2013 01:05 PM, Jens Beyer (Qcumber-some) wrote:
> Open a console/terminal
>
> type "gdb widelands" <Enter>
>
> Wait until you get a (gdb) prompt
>
> type "r" <enter>
>
> Widelands starts
>
> provoke the crash
>
> in gdb, you see a message and a (gdb) prompt
>
> type "bt" <enter>
>
> Copy everything after the crash message including the bt output and
> paste it here :-)
>
> ron@ron-desktop:~$ gdb widelands
> GNU gdb (Ubuntu/Linaro 7.4-2012.04-0ubuntu2.1) 7.4-2012.04
> Copyright (C) 2012 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law. Type "show copying"
> and "show warranty" for details.
> This GDB was configured as "i686-linux-gnu".
> For bug reporting instructions, please see:
> <http://bugs.launchpad.net/gdb-linaro/>...
> Reading symbols from /usr/games/widelands...Reading symbols from /usr/lib/debug/usr/games/widelands...done.
> done.
> (gdb) r
> Starting program: /usr/games/widelands
> [Thread debugging using libthread_db enabled]
> Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
> Set home directory: /home/ron/.widelands
> No version file found
> Adding directory:/usr/share/games/widelands
> Version file found with id "REVDETECT-BROKEN-PLEASE-REPORT-THIS" (real "REVDETECT-BROKEN-PLEASE-REPORT-THIS" )
> No version file found
> Adding directory:/usr/share/games/widelands
> Version file found with id "REVDETECT-BROKEN-PLEASE-REPORT-THIS" (real "REVDETECT-BROKEN-PLEASE-REPORT-THIS" )
> No version file found
> Adding directory:.
> No version file found
> Adding directory: /usr/games
> No version file found
> selected language: (system language)
> using locale en_US.UTF-8
> SDL_VIDEODRIVER=&
> Graphics: Trying Video driver: 0 x11 SDL_VIDEODRIVER=x11
> Graphics: Try to set Videomode 800x600 16Bit
> Graphics: Setting video mode was successful
> **** GRAPHICS REPORT ****
> VIDEO DRIVER x11
> hw surface possible 0
> window manager available 1
> blitz_hw 0
> blitz_hw_CC 0
> blitz_hw_A 0
> blitz_sw 0
> blitz_sw_CC 0
> blitz_sw_A 0
> blitz_fill 0
> video_mem 0
> vfmt 0x85ead28
> size 800 600
> **** END GRAPHICS REPORT ****
> Graphics: flags: 0
> [New Thread 0xb39fbb40 (LWP 2155)]
> [Thread 0xb39fbb40 (LWP 2155) exited]
> [New Thread 0xb39fbb40 (LWP 2156)]
> [] Section [global], key 'EXENAME' not used (did you spell the name correctly?)
> Registering script: (aux,coroutine)
> Registering script: (aux,format_help)
> Registering script: (aux,formatting)
> Registering script: (aux,infrastructure)
> Registering script: (aux,objective_utils)
> Registering script: (aux,set)
> Registering script: (aux,table)
> Registering script: (aux,ui)
> Registering script: (aux,win_condition_functions)
> Registering script: (aux,win_condition_texts)
> Registering script: (win_conditions,00_endless_game)
> Registering script: (win_conditions,01_defeat_all)
> Registering script: (win_conditions,02_collectors)
> Registering script: (win_conditions,03_territorial_lord)
> Registering script: (win_conditions,03_territorial_time)
> R...

Thanks for taking your time to report this issue.

Could you please provide some more details steps on how to reproduce this crash. Looking at the backtrace it looks similar to bug 1205010, which can be triggered by dismantling either a conquered military building or dismantling one of the pre-existing ones in a campaign map. If this sounds like your issue, it is likely a duplicate, otherwise we will need more information to investigate further.

On 07/27/2013 05:02 AM, Hans Joachim Desserud wrote:
> Thanks for taking your time to report this issue.
>
> Could you please provide some more details steps on how to reproduce
> this crash. Looking at the backtrace it looks similar to bug 1205010,
> which can be triggered by dismantling either a conquered military
> building or dismantling one of the pre-existing ones in a campaign map.
> If this sounds like your issue, it is likely a duplicate, otherwise we
> will need more information to investigate further.
>
  All I have to do to crash is click on an already working building (
mine, lumberjack ) and the game crashes, you can build new buildings but
cant stop the working ones. Hope this helps, thanks.

I reinstalled my system and installed bzr 6675 and it does the same thing.

Hans Joachim Desserud (hjd) wrote :

>All I have to do to crash is click on an already working building (
>mine, lumberjack ) and the game crashes,

I started a new game, built some buildings and clicked on them to bring up the building window, but I didn't manage to trigger a crash. Does this crash happen for all buildings in all games, just in new games or loaded games? Said in another way, if there are some games/buildings where the crash doesn't happen, what is different in those games?

Tested with r6675.

tags: added: crash
ron hering (rhering6938) wrote :

Just installed Linux Mint 14 and the game works as it should, but it wont work with Ubuntu 12.04 LTS.

Hans Joachim Desserud (hjd) wrote :

Turns out this is a valid issue. The key part is Ubuntu 12.04, and it is indeed crashing when clicking on a building.

summary: - bzr6665 version detect broken.
+ Crash on Ubuntu 12.04 when clicking to open a building window
tags: added: ui
Changed in widelands:
importance: Undecided → Medium
milestone: none → build18-rc1
status: Incomplete → Confirmed
description: updated
cghislai (charlyghislain) wrote :

Just to be sure, is the data package updated as well on that distribution.? The code requires new sections in the conf files.

Hans Joachim Desserud (hjd) wrote :

>Just to be sure, is the data package updated as well on that distribution.?
In the PPA? It should be.

I tested with latest trunk (r6695) which I built myself though... (and somehow forgot to mention this above)

Jens Beyer (qcumber-some) wrote :

Indeed this happens when clicking on a building in Ubuntu 12.04.

It does NOT happen when clicking on a construction site or the HQ... maybe this helps.

dershrimp (dershrimp) wrote :

I also have this problem. It does not happen on ubuntu 10.04 with the widelands version r6655. Then I updated the system to ubuntu 12.04 and installed a newer version >r6655 since then, there is the bug.
Anyone tried r6655 on ubuntu 12.04? I can't compile it myself because of https://bugs.launchpad.net/widelands/+bug/1209125

dershrimp (dershrimp) wrote :

Bug fixed?
Yesterday I had release r6708 compiled. There was still this bug.
Today I tried to do "bzr revert -r6655" and afterwards run "./compile.sh" (didn't know, if this is necessary) to check, whether this bug already happened with r6655. This didn't work for me, because of https://bugs.launchpad.net/widelands/+bug/1209125. Then I run "./update.sh" again to go back to the actual version. After running this script I had again r6708. I tried to reproduce this bug and it actually disappeared.

Jens Beyer (qcumber-some) wrote :

Interesting things you got there #16.

I did try it myself.

1) from 669x ./update.sh to 6708
--> Bug still present

2) rm -r build/* && rm -r widelands; then ./compile.sh again
--> Bug still present

3) bzr revert -r6655; then ./compile.sh again
--> Bug not present!

4) ./update.sh to 6708
--> Bug not present!

5) rm -r build/* && rm -r widelands; then ./compile.sh again
--> Bug STILL NOT present!

I am not even sure how to get this into my head... ?!

Jens Beyer (qcumber-some) wrote :

6) bzr revert -r6696; then ./compile.sh again
--> Bug REAPPEARED!

7) ./update.sh to 6708
--> Bug still present!

8) bzr revert -r6655; ./update.sh (without recompiling)
--> Bug NOT present!

It gets stranger and stranger...

cghislai (charlyghislain) wrote :

It would be nice if to know if the bug is present on a new, fresh install. Also, maybe a bug in the compiler/linker has been fixed by the distribution.

I went through a debugging session with hjd last night and I don't understand much neither. It seems suddenly valid pointer get erased for no obvious reason. If the bug persists, I will try another way of storing former buildings informations by values which should fix this bug.

ron hering (rhering6938) wrote :

I just did a fresh re-install of 12.04, Widelandds and also the latest r6708 and the bug is still there.

Jens Beyer (qcumber-some) wrote :

If my mind doesn't fail me, the change from point 7) to 8) (read: I have a broken game, do nothing else than revert the sources to 6655 and back to 6708, do a recompile and the bug disappears, sounds to me like a bug in bzr, make, or gcc?

cghislai (charlyghislain) wrote :

Could you please try branch lp:~widelands-dev/widelands/formerbuildings_index ?
I changed the way former buildings are stored to a more straightforward one

Jens Beyer (qcumber-some) wrote :

@22 the branch does not show the bug, at least not for me with a few tries.. I will continue testing with rebuilding.

Nasenbaer (nasenbaer) wrote :

the branch of cghislai has been merged. Setting this to incomplete to keep it open for some more days and check whether the bug reappears

Changed in widelands:
status: Confirmed → Incomplete
dershrimp (dershrimp) wrote :

the bug does appear in r6718!

Nasenbaer (nasenbaer) wrote :

Well :-/ ... any more ideas?

Changed in widelands:
status: Incomplete → Confirmed
ron hering (rhering6938) wrote :

Just a note : The bug seems to have disappeared on my system, a long test will test for sure.

ron hering (rhering6938) wrote :

OOPs spoke too soon, now it only crashes when dimanteling a building.

cghislai (charlyghislain) wrote :

Does it still crash in the count_returned_wares method? When you hover over the dismantle button or when you click on it?
I will once again check all places where the formebuildings vector is expected and make sure all assumptions are correct. But this bug is evil as i can"t trigger it. I need to install an ubuntu 12.04 system somewhere..

On 08/14/2013 03:29 AM, cghislai wrote:
> Does it still crash in the count_returned_wares method? When you hover over the dismantle button or when you click on it?
> I will once again check all places where the formebuildings vector is expected and make sure all assumptions are correct. But this bug is evil as i can"t trigger it. I need to install an ubuntu 12.04 system somewhere..
>
I must click on the dismantle to get it to crash. Just an observation
the bug started at reported build, before that it worked great, whatever
changed may be where the problem lies. Dont really just a thought.

cghislai (charlyghislain) wrote :

Well, thats ironic because the commit in question 'r6718' is where the branch with the fix has been merged. I have the feeling the information reported here is not always correct. Could someone please build widelands from scratch in a new directory and in debug mode? That would be very helpful to track down this bug correctly...

To clarify the history here :
-The bug was reported.
-We got a stackstrace (#11) pointing to Dismantle_Site::get_returned_wares()
-r6695 was reported to contain the bug (#13)
-People started to report it works sometimes, sometimes not (#18) (r6708)
-A branch with a possible fix was linked (#22)
-The fix was reported to work (#23)
-The branch has been merged (#24, r6718)
-The bug was reported to be still present (#25)
(and now you said it was ok before r6178 :)

dershrimp (dershrimp) wrote :

@ #31: I think #30 refered to r6665. The build where the bug was first detected and reported here. This seems to be correct from my point of view. As I said in #15, the bug was not present in r6655 at least with ubuntu 10.04. Didn´t have the chance to test r6655 with 12.04.

Anyone made a clean fresh install of the branch? I just updated to r6718 and the bug was still there.

Jens Beyer (qcumber-some) wrote :

@32:
Anyone made a clean fresh install of the branch? I just updated to r6718 and the bug was still there.

I just did. Fresh clean bzr branch of 6720 on Ubuntu 12.04. The Bug ("as soon as I open a building window, the game crashes") does not appear.

However, and this is most definitely a different bug, it crashes when dismantling a building. Additional to that, the dismantling preview does not list any ware, for not one single building. If necessary, I can open a new bug on this if this is wanted. This also only happens on Ubuntu 12.04, not on my Gentoo system...

cghislai (charlyghislain) wrote :

Thank you!
I think it is fine to continue here, as it is still a weird bug only occuring on Ubuntu 12.04 related to former buildings.
Moreover, it seems the fix introduced in the branch just reported the crash from the buildingwindow to the dismantle site, but the source it probably the same.

Jens Beyer (qcumber-some) wrote :

In that case... the stacktrace after the crash when clicking the dismantle button and confirm the question:

Program received signal SIGSEGV, Segmentation fault.
0x00000000005c1e4e in Widelands::DismantleSite::init(Widelands::Editor_Game_Base&) ()
(gdb) bt
#0 0x00000000005c1e4e in Widelands::DismantleSite::init(Widelands::Editor_Game_Base&) ()
#1 0x00000000005c2238 in Widelands::DismantleSite::DismantleSite(Widelands::DismantleSite_Descr const&, Widelands::Editor_Game_Base&, Widelands::Coords, Widelands::Player&, bool, std::vector<Widelands::Building_Index, std::allocator<Widelands::Building_Index> >&) ()
#2 0x000000000055e5eb in Widelands::Editor_Game_Base::warp_dismantlesite(Widelands::Coords, unsigned char, bool, std::vector<Widelands::Building_Index, std::allocator<Widelands::Building_Index> >) ()
#3 0x00000000005a15b7 in Widelands::Player::_enhance_or_dismantle(Widelands::Building*, Widelands::Building_Index) [clone .constprop.919] ()
#4 0x00000000005a1663 in Widelands::Player::dismantle_building(Widelands::Building*) ()
#5 0x000000000055c9ca in Widelands::Cmd_Queue::run_queue(int, int&) ()
#6 0x00000000005e4e3f in Widelands::Game::think() ()
#7 0x0000000000677950 in Interactive_Base::think() ()
#8 0x000000000068fe78 in Interactive_Player::think() ()
#9 0x000000000076fa79 in UI::Panel::run() ()
#10 0x00000000005e5a78 in Widelands::Game::run(UI::ProgressWindow*, Widelands::Game::Start_Game_Type) ()
#11 0x00000000005501e5 in WLApplication::new_game() ()
#12 0x000000000055063a in WLApplication::mainmenu_singleplayer() ()
#13 0x0000000000553680 in WLApplication::mainmenu() ()
#14 0x0000000000553d3b in WLApplication::run() ()
#15 0x0000000000544c79 in main ()

and a screenshot of the dismantle preview.

Jens Beyer (qcumber-some) wrote :
Download full text (3.5 KiB)

Sorry for the release backtrace... :-\

Program received signal SIGSEGV, Segmentation fault.
0x0000000000b9dcd2 in std::_Rb_tree<Widelands::Ware_Index, std::pair<Widelands::Ware_Index const, unsigned char>, std::_Select1st<std::pair<Widelands::Ware_Index const, unsigned char> >, std::less<Widelands::Ware_Index>, std::allocator<std::pair<Widelands::Ware_Index const, unsigned char> > >::begin (this=0x130)
    at /usr/include/c++/4.6/bits/stl_tree.h:660
660 (this->_M_impl._M_header._M_left));
(gdb) bt
#0 0x0000000000b9dcd2 in std::_Rb_tree<Widelands::Ware_Index, std::pair<Widelands::Ware_Index const, unsigned char>, std::_Select1st<std::pair<Widelands::Ware_Index const, unsigned char> >, std::less<Widelands::Ware_Index>, std::allocator<std::pair<Widelands::Ware_Index const, unsigned char> > >::begin (this=0x130)
    at /usr/include/c++/4.6/bits/stl_tree.h:660
#1 0x0000000000b9ce8e in std::map<Widelands::Ware_Index, unsigned char, std::less<Widelands::Ware_Index>, std::allocator<std::pair<Widelands::Ware_Index const, unsigned char> > >::begin (this=0x130)
    at /usr/include/c++/4.6/bits/stl_map.h:319
#2 0x0000000000bab7c8 in Widelands::DismantleSite::count_returned_wares (building=0xb050ef0, res=...)
    at /home/xxx/widelands/widelands/src/logic/dismantlesite.cc:148
#3 0x0000000000bab438 in Widelands::DismantleSite::init (this=0xb050ef0, egbase=...)
    at /home/xxx/widelands/widelands/src/logic/dismantlesite.cc:114
#4 0x0000000000bab2f8 in Widelands::DismantleSite::DismantleSite (this=0xb050ef0, gdescr=...,
    egbase=..., c=..., plr=..., loading=false, former_buildings=...)
    at /home/xxx/widelands/widelands/src/logic/dismantlesite.cc:86
#5 0x0000000000af4afa in Widelands::Editor_Game_Base::warp_dismantlesite (this=0x7fffffffaf50, c=...,
    owner=1 '\001', loading=false, former_buildings=...)
    at /home/xxx/widelands/widelands/src/logic/editor_game_base.cc:349
#6 0x0000000000b713fe in Widelands::Player::_enhance_or_dismantle (this=0x19b3310, building=0xa187e30,
    index_of_new_building=...) at /home/xxx/widelands/widelands/src/logic/player.cc:760
#7 0x0000000000b7117b in Widelands::Player::dismantle_building (this=0x19b3310, building=0xa187e30)
    at /home/xxx/widelands/widelands/src/logic/player.cc:726
#8 0x0000000000b226d8 in Widelands::Cmd_DismantleBuilding::execute (this=0xb050eb0, game=...)
    at /home/xxx/widelands/widelands/src/logic/playercommand.cc:716
#9 0x0000000000af105b in Widelands::Cmd_Queue::run_queue (this=0x7fffffffb170, interval=1375,
    game_time_var=@0x7fffffffafb0: 876376) at /home/xxx/widelands/widelands/src/logic/cmd_queue.cc:132
#10 0x0000000000bdf29f in Widelands::Game::think (this=0x7fffffffaf50)
    at /home/xxx/widelands/widelands/src/logic/game.cc:624
#11 0x0000000000ca49cf in Interactive_Base::think (this=0x272c5e0)
    at /home/xxx/widelands/widelands/src/wui/interactive_base.cc:379
#12 0x0000000000ccc243 in Interactive_Player::think (this=0x272c5e0)
    at /home/xxx/widelands/widelands/src/wui/interactive_player.cc:261
#13 0x0000000000dbfd95 in UI::Panel::do_think (this=0x272c5e0)
    at /home/xxx/widelands/widelands/src/ui_basic/panel.cc:585
#14 0x0000000000dbf2cf in UI::Panel:...

Read more...

ron hering (rhering6938) wrote :

On 08/14/2013 08:36 AM, cghislai wrote:
> Well, thats ironic because the commit in question 'r6718' is where the
> branch with the fix has been merged. I have the feeling the information
> reported here is not always correct. Could someone please build
> widelands from scratch in a new directory and in debug mode? That would
> be very helpful to track down this bug correctly...
>
> To clarify the history here :
> -The bug was reported.
> -We got a stackstrace (#11) pointing to Dismantle_Site::get_returned_wares()
> -r6695 was reported to contain the bug (#13)
> -People started to report it works sometimes, sometimes not (#18) (r6708)
> -A branch with a possible fix was linked (#22)
> -The fix was reported to work (#23)
> -The branch has been merged (#24, r6718)
> -The bug was reported to be still present (#25)
> (and now you said it was ok before r6178 :)
>
r6665 was the original report I belive.

Nasenbaer (nasenbaer) wrote :

Seems something is not correctly initialized...

maybe adding

m_seeing(false),
m_old_buildings(FormerBuildings())

to the constructor of "Building" at building.cc:279-280 helps?

ron hering (rhering6938) wrote :
Download full text (12.5 KiB)

Here is my latest bt report:
ron@ron-MS-7057:~$ gdb widelands
GNU gdb (Ubuntu/Linaro 7.4-2012.04-0ubuntu2.1) 7.4-2012.04
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-linux-gnu".
For bug reporting instructions, please see:
<http://bugs.launchpad.net/gdb-linaro/>...
Reading symbols from /usr/games/widelands...Reading symbols from /usr/lib/debug/usr/games/widelands...done.
done.
(gdb) r
Starting program: /usr/games/widelands
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
Set home directory: /home/ron/.widelands
No version file found
There's no configuration file, using default values.
Adding directory:/usr/share/games/widelands
Version file found with id "bzr6720-201308141113" (real "bzr6720-201308141113" )
No version file found
Adding directory:/usr/share/games/widelands
Version file found with id "bzr6720-201308141113" (real "bzr6720-201308141113" )
No version file found
Adding directory:.
No version file found
Adding directory: /usr/games
No version file found
selected language: (system language)
using locale en_US.UTF-8
SDL_VIDEODRIVER=&
Graphics: Trying Video driver: 0 x11 SDL_VIDEODRIVER=x11
Graphics: Trying opengl
Graphics: Try to set Videomode 800x600 32Bit
Graphics: Setting video mode was successful
Graphics: OpenGL: OpenGL enabled
Graphics: OpenGL: Double buffering enabled
Graphics: OpenGL: Max texture size: 4096
Graphics: OpenGL: Number of aux buffers: 4
Graphics: OpenGL: Number of stencil buffer bits: 0
Graphics: OpenGL: Maximum number of textures for multitextures: 4
Graphics: OpenGL: Version 2.1 "2.1.2 NVIDIA 304.88"
Graphics: OpenGL: Textures may have any size
Graphics: OpenGL: Multitexture capabilities sufficient
**** GRAPHICS REPORT ****
 VIDEO DRIVER x11
 hw surface possible 0
 window manager available 1
 blitz_hw 0
 blitz_hw_CC 0
 blitz_hw_A 0
 blitz_sw 0
 blitz_sw_CC 0
 blitz_sw_A 0
 blitz_fill 0
 video_mem 0
 vfmt 0x8698ff0
 size 800 600
**** END GRAPHICS REPORT ****
Graphics: flags: 2
[New Thread 0xb364fb40 (LWP 2215)]
[Thread 0xb364fb40 (LWP 2215) exited]
[New Thread 0xb364fb40 (LWP 2216)]
[] Section [global], key 'EXENAME' not used (did you spell the name correctly?)
Sound_Handler: loaded song "music/intro_00.ogg"
Sound_Handler: loaded song "music/menu_00.ogg"
selected language: (system language)
using locale en_US.UTF-8
selected language: (system language)
using locale en_US.UTF-8
Registering script: (aux,coroutine)
Registering script: (aux,format_help)
Registering script: (aux,formatting)
Registering script: (aux,infrastructure)
Registering script: (aux,objective_utils)
Registering script: (aux,set)
Registering script: (aux,table)
Registering script: (aux,ui)
Registering script: (aux,win_condition_functions)
Registering script: (aux,win_condition_texts)
Registering script: (tribe_atlanteans,sc00_headquarters_medium)
Registering script: (tribe_atlanteans,sc01_cas...

SirVer (sirver) wrote :

Looks like a division by zero somewhere in dismantlesite::draw .

Hans Joachim Desserud (hjd) wrote :

>Looks like a division by zero somewhere in dismantlesite::draw .

As people who follow the bug tracker might have noticed, I just ran scan-build on latest trunk. It found no cases of division by zero, though just because a tool cannot find it, doesn't mean it's not there ;) I would have prefered if it had been able to pin-point the cause of this though...

Jens Beyer (qcumber-some) wrote :

Tried to provoke this with valgrind on my Ubuntu 12.04 system which usually shows the bug. With valgrind, the bug does not occur...

dershrimp (dershrimp) wrote :

Just tried to play one of the new maps in widelands with the actual version 6729.
It wasn't really possible because of 3 types of bugs.

1) As mentioned in #33 "However, and this is most definitely a different bug, it crashes when dismantling a building. Additional to that, the dismantling preview does not list any ware, for not one single building"
(little disadvantage to play without the possibility to dismantle a building).

2) After about 20 minutes the savegames no show/have information about the type of the game. I played "Autocrat". Saving after 5, 10, 15 minutes still have "autocrat" in the information. After about 20 minutes there appears "undetermined".
(I remember have read this type of bug some time ago in the forum, but I couldn't find it now.)

3) This is the worst bug. Game crashes without any noticeable reason after some time. Reloading let me go on in the game passing the critical crash-point, but crashes anyway some minutes later. I could go on playing about 30 minutes but every 5 o 6 minutes it crashed. So no I've given it up and reported here.
Just tried that with another map, happens the same. After about 40 minutes it crashes unexpected.

dershrimp (dershrimp) wrote :

Would somebody like to have some log-file, screenshot, more information?
-> 3) it just says "segmentation fault"

wl-zocker (wl-zocker) wrote :

1) See bug 1205010
2) It's bug 1201398. I have found that wrong numbers of players are dealt with in bug 1203338, which should be fixed (I do not know if that is the case in dershrimp's savegames.
3) Dershrimp, did you play with computerplayers? It might be that they tried to dismantle a building which did not work.

dershrimp (dershrimp) wrote :

@ 1) Bug 1205010 seems to be slightly different, as it treats just conquered military buildings and campaign start buildings. In my case it is the same for all types of buildings.

@ 2) Yes, in my case it should be bug 1201398. Indeed it says "not set" as in the bug discription and not "undetermined" as I said, I just remembered erroneously.

@ 3) You are completly right, I played with computerplayers. So I assume the crash is caused by the attempt of the cp to dismantle a building.

Should we continue to discuss this here or not? Since there is no evidence that it affects only ubuntu 12.04 LTS users so far.

Hans Joachim Desserud (hjd) wrote :

3) As others suggest, likely 1) triggered by AI players.

1) That does indeed sound different than bug 1205010. That dealt with pre-built buildings which could not be dismantled, but had no effect on player-built buildings. Furthermore, I've looked a bit at it and dismantling works as expected on Ubuntu 13.04, though crash as described above on 12.04 (both using latest trunk). I've lost a bit track of the discussion here, but that sounds distinct from both the original bug described here, as well as bug 1205010, so I think the best course of action would probably be to file a separate bug report to keep track of it.

>Would somebody like to have some log-file, screenshot, more information?
If you could run widelands in gdb and get a backtrace from when the crash occurs, that would be nice. :) If you haven't used gdb before, please see #4 on bug 1199957 on how to get started.

dershrimp (dershrimp) wrote :

Thanks hjd. I opened a new bug report: bug #1220546
I added the backtrace and the pic from #35.

Hans Joachim Desserud (hjd) wrote :

Do we consider this fixed now? Building windows open without crashing on Ubuntu 12.04, and the follow-up, bug 1220546 has been filed separately.

SirVer (sirver) wrote :

Sure

Changed in widelands:
status: Confirmed → Fix Committed
SirVer (sirver) wrote :

Released in build-18 rc1.

Changed in widelands:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers